These are chat archives for ipython/ipython

13th
Jan 2017
Min RK
@minrk
Jan 13 2017 08:58
@hadim you might check sys.executable and sys.path in both environments and compare them, to ensure that they are what you expect.
Moulick Aggarwal
@Moulick
Jan 13 2017 14:03
@hadim
@hadim check pip freeze. it'll list all the avaliable packages. Check if the PyQt5 is listed there.
Hadrien Mary
@hadim
Jan 13 2017 14:06
Yes it is PyQt5==5.7.1
@minrk thank you. So the Jupyter console success was because I haven't installed Jupyter console on my env so the one I was executing was the one on my root env ><
By installing it I have the same DLL issue on both Jupyter and Python console.
Hadrien Mary
@hadim
Jan 13 2017 14:47
For the record I have posted the issue on the pyqt mailing list : https://www.riverbankcomputing.com/pipermail/pyqt/2017-January/038573.html
Moulick Aggarwal
@Moulick
Jan 13 2017 15:48
@hadim so before atleat one was working and now both have stopped, lol
Hadrien Mary
@hadim
Jan 13 2017 16:00
@Moulick weel the one that was working was the default Anaconda 5.6 version.
And I need the 5.7 version.
conda forge does not have PyQt5 for now so I have no alternative than using the PyPi wheel